%global pkg_name        HTML-Template-Pro
%global pkg_version     0.66
%global rpm_pkg_version 0.66
%global rpm_pkg_release 1.n0i.12

Summary:       Perl/XS module to use HTML Templates from CGI scripts
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/V/VI/VIY/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
%{?!_without_pcre:BuildRequires: pcre-devel}


%description
HTML::Template::Pro is a fast lightweight C/Perl+XS reimplementation of
HTML::Template and HTML::Template::Expr, designed for heavy upload,
resource limitations, absence of mod_perl. It is not intended to be a
complete replacement, but to be a fast implementation of HTML::Template if
you don't need extended facilities of HTML::Template such as filters or
quering.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ARTISTIC Changes FAQ GPL README


%changelog
* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 0.66-1.n0i.12
- version 0.66
- enabled PCRE extension (by enabling pcre-devel dependency)

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.65-1.n0i.11
- version 0.65

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.64-2.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Mon Apr 24 2006 Marius Feraru <altblue@n0i.net> - 0.64-1.n0i.9
- version 0.64

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.62-1.n0i.8
- version 0.62

* Sat Feb 04 2006 Marius Feraru <altblue@n0i.net> - 0.60-1.n0i.7
- version 0.60

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.59-1.n0i.6
- version 0.59

* Fri Nov 04 2005 Marius Feraru <altblue@n0i.net> 0.56-1.n0i.5
- version 0.56

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 0.50-1.n0i.4
- version 0.50

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 0.48-1.n0i.3
- version 0.48

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.45-1.n0i.2
- version 0.45

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 0.43-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
